Beta
Category
  • Backend
  • Bricks
  • Frontend
Best rating
Latest
logo

QUIQQER - GDPR

quiqqer/gdpr

Description

This module integrates features to help a website become GDPR-compliant (e.g. Cookie-Banner).

The QUIQQER GDPR package includes a GDPR checklist and a cookie banner/content.

The cookie banner allows users to choose which cookies they accept. This makes it possible to use the website without storing advertising and tracking cookies. This improves the privacy of the users and meets the requirements of the new GDPR. Furthermore, the cookie banner provides information about all cookies that could be set by the website. This allows users to find out what each cookie is used for and how long it is stored on their device. Should a user change his mind, he can revoke his consent via a brick that can be placed anywhere on the website.

The DSGVO checklist informs website operators which adjustments are necessary in order to operate their website in accordance with data protection regulations (GDPR). This includes settings in the QUIQQER system, but also adjustments in third party tools like Google Analytics, but also basic things like the use of HTTPS. Since the checklist is interactive, completed items can be checked off. So you keep the overview of what still has to be done. Since a QUIQQER system can host several projects, there is a separate checklist for each project.

Features:

  • Cookie banner
    • Users can explicitly reject cookie categories
    • Shows more information about the cookies to be set
    • Only those cookies are set that the user has agreed to
    • Multilingualism
    • Individually adaptable design
    • API for developers
  • DSGVO Checklist
    • points out important data protection settings
    • Checkable TODO list, so that nothing is forgotten
    • includes QUIQQER settings, but also external tools like Google Analytics

Install package

To install version "1.0.0" of this package the following other packages have to be installed in the given version:

  • QUIQQER: *@dev

To install the latest version (1.0.1) for this package the following other packages have to be installed in the given version:

  • QUIQQER: *@dev

To install version "dev-dev" of this package the following other packages have to be installed in the given version:

  • QUIQQER: *@dev

To install version "dev-master" of this package the following other packages have to be installed in the given version:

  • QUIQQER: *@dev

Additional information

Package type

Module

Latest version

1.0.1

License

GPL-3.0+
Show license

Rights holder

PCSG - Computer & Internet Service OHG

Latest